#
# spec file for package python-pyasn1-modules
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyasn1-modules
Version:        0.0.7
Release:        5.2
Url:            http://pyasn1.sf.net/
Summary:        Collection of protocols modules written in ASN.1 language
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pyasn1-modules/pyasn1-modules-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-pyasn1
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%else
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif
%endif

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n pyasn1-modules-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/*

%changelog
* Thu Aug 13 2015 michael@stroeder.com
- Added file ext .txt to doc files like in upstream
- Update to upstream release 0.0.7
  - Extensions added to text files, CVS attic flushed.
  - Fix to rfc2459.BasicConstraints syntax.
* Sat Jul  4 2015 michael@stroeder.com
- Update to upstream release 0.0.6
  - Typo fix to id_kp_serverAuth object value
  - A test case for indefinite length encoding eliminated as it's
    forbidden in DER.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue May  7 2013 michael@stroeder.com
- Update to upstream release 0.0.5
  Revision 0.0.5
- License updated to vanilla BSD 2-Clause to ease package use
  (http://opensource.org/licenses/BSD-2-Clause).
* Wed Jan  2 2013 toddrme2178@gmail.com
- Fix building on SLES
* Fri Jul 27 2012 michael@stroeder.com
- Update to upstream release 0.0.4
  The pyasn1-modules collection now includes Certificate Management Protocol
  (RFC4210) data structures.
* Mon Apr 23 2012 michael@stroeder.com
- Update to upstream release 0.0.3
* Fri Mar 23 2012 michael@stroeder.com
- Initial submission of upstream release 0.0.2
